<!--
  This template loads for the 'tab.friend-detail' state (app.js)
  'friend' is a $scope variable created in the FriendsCtrl controller (controllers.js)
  The FriendsCtrl pulls data from the Friends service (service.js)
  The Friends service returns an array of friend data
-->
<ion-view>
  <style>
    .list {
      padding-bottom: 44px;
    }

    .item {
      padding: 0;
      border: 0;
      white-space: initial;
    }

    .sent, .received {
      border-radius: 5px;
      padding: 8px 10px;
      margin: 10px 10px 0 10px;
    }

    .sent {
      background-color: #dd430e;
      margin-left: 25px;
      color: #fff;
    }

    .received {
      background-color: #eee;
      margin-right: 25px;
    }

    .writeMsg {
      width: 100%;
      position: fixed;
      bottom: 49px;
      border-top: 1px solid #eee;
      background-color: #d1d1d1;
    }

    .writeMsg button {
      float: right;
      border-radius: 0;
      width: 11%;
      height: 34px;
    }

    .writeMsg input {
      float: left;
      padding: 10px;
      width: 89%;
    }

    .chat-timestamp {
      font-size: 10px;
    }
  </style>
  <ion-nav-title>{{chatName}}</ion-nav-title>
  <ion-content id="conversation">
    <ion-list>
      <ion-item class="item-add-animate" ng-repeat="conv in conversation track by $index">
        <div ng-class="{'sent': conv.recepient !== chatId, 'received': conv.recepient === chatId}">
          {{conv.message}} <br>
          <div class="chat-timestamp">{{conv.formattedTime}}</div>
        </div>
      </ion-item>
    </ion-list>
  </ion-content>
  <div class="writeMsg">
    <input type="text" ng-model="message" placeholder="Write a message...">
    <button class="button button-small icon ion-ios-paperplane" ng-click="sendMessage()"></button>
    <div style="clear:both;"></div>
  </div>
</ion-view>
